yesod-routes-1.2.0.1: Efficient routing for Yesod.

Safe Haskell | None

Yesod.Routes.Overlap

Description

Check for overlapping routes.

# Documentation

findOverlaps :: ([String] -> [String]) -> [ResourceTree t] -> [Overlap t]Source

findOverlapNames :: [ResourceTree t] -> [(String, String)]Source

data Overlap t Source

Constructors

Overlap |

Fields

overlapParents :: [String] -> [String]

  parent resource trees

overlap1 :: ResourceTree t
overlap2 :: ResourceTree t